MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005760ATutor- no cat -public2017-02-17 11:502018-02-27 19:00
Reportergreg 
Assigned Togreg 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.2.3Fixed in Version2.2.3 
Summary0005760: PHP7 Issues
DescriptionATutor won;t run with php7.1. The $array_type should be MYSQLI_ASSOC in mysql_connect.inc.php:

function queryDB($query, $params=array(), $oneRow = false, $sanitize = true, $callback_func = "mysql_affected_rows", $array_type = MYSQL_ASSOC) {
TagsNo tags attached.
Affects versionSVN
SVN Revision#na
Attached Files

- Relationships

-  Notes
(0007796)
greg (administrator)
2018-02-25 17:39

resolved through a series of other commits for specific php7 compatibility issues.
(0007816)
greg (administrator)
2018-02-27 19:00

Resolved in 2.2.3

- Issue History
Date Modified Username Field Change
2017-02-17 11:50 greg New Issue
2018-02-25 17:39 greg SVN Revision# => na
2018-02-25 17:39 greg Note Added: 0007796
2018-02-25 17:39 greg Status new => resolved
2018-02-25 17:39 greg Fixed in Version => 2.2.3
2018-02-25 17:39 greg Resolution open => fixed
2018-02-25 17:39 greg Assigned To => greg
2018-02-27 19:00 greg Note Added: 0007816
2018-02-27 19:00 greg Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker